¿No consigues instalar el diccionario ortográfico en Thunderbird?

Hay tres maneras de arruinarse: las mujeres, el juego y los técnicos. La más placentera, las mujeres. La más rápida, el juego. Pero la más segura, los técnicos. (George Pompidou)

Icono del diccionario ortográfico¿Has intentado instalar  el diccionario ortográfico español de España (también te pasará con otros idiomas) en Thunderbird desde que comenzaron los ciclos rápidos de desarrollo? ¿Lo has conseguido sin hacer trampas?

Thunderbird es un cliente de correo y, por tanto, no puedes usarlo para visitar páginas web a menos que instales un complemento como ThunderBrowse (es una de esas trampas que menciono). Por tanto, sólo puedes instalar complementos de dos formas:

  1. A través de su administrador de complementos, usando la pestaña Obtener complementos.
  2. Descargando el complemento con un navegador en tu disco duro y luego abriendo el archivo XPI descargado.

Bien, pues resulta que, desde la versión 4 de Firefox y Thunderbird y la 2.1 de SeaMonkey, el administrador de complementos no incluye en su búsqueda de complementos los diccionarios identificados como tales en Mozilla Add-ons. Eso significa que la primera solución de la lista anterior no funciona y sólo nos queda la segunda, instalar el XPI previamente descargado con un navegador.

Pero, en algunos casos, como el del diccionario español de España, el contenido del XPI no ha cambiado (o sea, no se han añadido palabras nuevas al diccionario), de manera que el XPI se mantiene intacto y el desarrollador (que en este caso soy yo) sólo cambia unos parámetros en la página del complemento en Mozilla Add-ons para incrementar el número máximo de versión de cada producto con los que es compatible.

Cuando visitas la página e intentas descargar un complemento desde allí, Mozilla Add-ons le dice al navegador, o al administrador de complementos de Thunderbird, que los números máximos de versión con los que es compatible el complemento son los que se han configurado como parámetro en la página, en lugar de los que figuran en el archivo XPI.

Como los diccionarios no aparecen en el administrador de complementos de Thunderbird, y el XPI del diccionario español de España tiene números máximos de versión en torno a las versiones 4 de Firefox y 3.3 de Thunderbird, no hay manera de instalarlo normalmente. El fallo se corregirá a partir de la versión 10 pero, mientras tanto, si alguien necesita instalar el diccionario en Thunderbird, decídmelo en los comentarios y os pasaré una versión modificada para que sea compatible con versiones más modernas de los productos.

Si os preguntáis por qué el problema afecta solamente a Thunderbird, realmente afecta también a Firefox y SeaMonkey, pero en estos, al ser/incluir navegadores, podéis visitar directamente la página de Mozilla Add-ons del diccionario e instalarlo desde ahí, de manera que la página web facilite los números de versiones compatibles correctos.

 

Acerca de rickiees

Miembro de NAVE, el grupo de traducción al español de España (es-ES) de Mozilla. Colaborador de Mozilla Hispano. Desarrollador aficionado en Java SE, prefiero las aplicaciones de escritorio.
Esta entrada fue publicada en Documentación y etiquetada . Guarda el enlace permanente.